Index: png/CMakeLists.txt
===================================================================
--- png/CMakeLists.txt	(revision 4044)
+++ png/CMakeLists.txt	(working copy)
@@ -4,7 +4,7 @@
 INCLUDE_DIRECTORIES(${FLTKZLIB_SOURCE_DIR})
 
 IF(ZLIB_INCLUDE_DIR)
-INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
+  INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
 ENDIF(ZLIB_INCLUDE_DIR)
 
 INCLUDE_DIRECTORIES(${FLTKPNG_SOURCE_DIR})
@@ -12,17 +12,17 @@
 
 # source files for png
 SET(PNG_SRCS
-pngget.c    pngrio.c    pngwrite.c
-png.c       pngmem.c    pngrtran.c  pngtrans.c  pngwtran.c
-pngerror.c  pngpread.c  pngrutil.c  pngwutil.c
-pngread.c   pngset.c   pngwio.c
-)
+  pngget.c    pngrio.c    pngwrite.c
+  png.c       pngmem.c    pngrtran.c  pngtrans.c  pngwtran.c
+  pngerror.c  pngpread.c  pngrutil.c  pngwutil.c
+  pngread.c   pngset.c   pngwio.c
+  )
 
 ADD_LIBRARY(fltk_png ${PNG_SRCS})
 
 IF(UNIX)
-TARGET_LINK_LIBRARIES(fltk_png ${FLTK_ZLIB_LIBRARIES} -lm)
+  TARGET_LINK_LIBRARIES(fltk_png ${FLTK_ZLIB_LIBRARIES} -lm)
 ELSE(UNIX)
-TARGET_LINK_LIBRARIES(fltk_png ${FLTK_ZLIB_LIBRARIES})
+  TARGET_LINK_LIBRARIES(fltk_png ${FLTK_ZLIB_LIBRARIES})
 ENDIF(UNIX)
 
Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 4044)
+++ CMakeLists.txt	(working copy)
@@ -189,6 +189,9 @@
   MARK_AS_ADVANCED(ZLIB_INCLUDE_DIR)
   MARK_AS_ADVANCED(ZLIB_LIBRARY)
   SUBDIRS(zlib)
+  SET(HAVE_LIBZ 1)
+  SET(FLTK_ZLIB_LIBRARIES fltk_zlib)
+  INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/zlib")
 ENDIF(FLTK_USE_SYSTEM_ZLIB)
 
 # Set an option to build the jpeg library or not
@@ -203,6 +206,9 @@
   MARK_AS_ADVANCED(JPEG_INCLUDE_DIR)
   MARK_AS_ADVANCED(JPEG_LIBRARY)
   SUBDIRS(jpeg)
+  SET(HAVE_LIBJPEG 1)
+  SET(JPEG_LIBRARIES fltk_jpeg)
+  INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/jpeg")
 ENDIF(FLTK_USE_SYSTEM_JPEG)
 
 # Set an option to build the png library or not
@@ -220,6 +226,9 @@
   MARK_AS_ADVANCED(PNG_INCLUDE_DIR)
   MARK_AS_ADVANCED(PNG_LIBRARY)
   SUBDIRS(png)
+  SET(HAVE_LIBPNG 1)
+  SET(PNG_LIBRARIES fltk_png)
+  INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/png")
 ENDIF(FLTK_USE_SYSTEM_PNG)
 
 SET(FLTK_DATADIR "${CMAKE_INSTALL_PREFIX}/share/FLTK")
